<menu>
  <a *ngIf='!isAuth && opened' (click)="googleAuth()">
    <div class="auth">
      <svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" viewBox="0 0 48 48"><defs><path id="a" d="M44.5 20H24v8.5h11.8C34.7 33.9 30.1 37 24 37c-7.2 0-13-5.8-13-13s5.8-13 13-13c3.1 0 5.9 1.1 8.1 2.9l6.4-6.4C34.6 4.1 29.6 2 24 2 11.8 2 2 11.8 2 24s9.8 22 22 22c11 0 21-8 21-22 0-1.3-.2-2.7-.5-4z"/></defs><clipPath id="b"><use xlink:href="#a" overflow="visible"/></clipPath><path clip-path="url(#b)" fill="#FBBC05" d="M0 37V11l17 13z"/><path clip-path="url(#b)" fill="#EA4335" d="M0 11l17 13 7-6.1L48 14V0H0z"/><path clip-path="url(#b)" fill="#34A853" d="M0 37l30-23 7.9 1L48 0v48H0z"/><path clip-path="url(#b)" fill="#4285F4" d="M48 48L17 24l-4-3 35-10z"/></svg>
      Войти через Google
    </div>
  </a>
  <div *ngIf='isAuth' class="profile-menu" [ngClass]='{isOpen: opened}'>
    <div class="profile-info">
      <div class="profile-info--left">
        <picture>
          <img [src]="profileAvatar" alt="">
        </picture>
      </div>
      <div class="profile-info--right">
        <span class="profile-name">{{profileName}}</span>
        <p>email: {{profileEmail}}</p>
      </div>
    </div>
    <div class="profile-balance">
      <div class="profile-balance__logo">
        <img src="/assets/lds-logo.svg" alt="lgo">
      </div>
      <span>{{ balance.formattedBalance() }} LDS</span>
    </div>
    <ul class="profile-actions">
      <!--            <li class="profile-action"><button>Future menu path</button></li>-->
      <li class="profile-action exit">
        <button (click)="exitHandler()">
          <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
            <path d="M22 12L18.667 16M13 12H22H13ZM22 12L18.667 8L22 12Z" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
            <path d="M14 7V5.174C14 4.89738 13.9426 4.62376 13.8314 4.37045C13.7203 4.11714 13.5578 3.88964 13.3542 3.70234C13.1507 3.51503 12.9104 3.37199 12.6488 3.28225C12.3871 3.19252 12.1097 3.15804 11.834 3.181L3.834 3.847C3.33405 3.88864 2.86801 4.11665 2.5283 4.48581C2.18859 4.85498 2.00002 5.33832 2 5.84V18.16C2.00002 18.6617 2.18859 19.145 2.5283 19.5142C2.86801 19.8834 3.33405 20.1114 3.834 20.153L11.834 20.82C12.1098 20.843 12.3873 20.8085 12.649 20.7187C12.9107 20.6289 13.151 20.4857 13.3546 20.2983C13.5582 20.1109 13.7206 19.8833 13.8317 19.6299C13.9428 19.3764 14.0001 19.1027 14 18.826V17" stroke="black" stroke-width="2" stroke-linecap="round" stroke-linejoin="round"/>
          </svg>
          Выйти
        </button>
      </li>
    </ul>
  </div>
</menu>
